#
# spec file for package icewm
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global lites icewm icewmhint icewmbg icesh icewm-session
Name:           icewm
Version:        1.4.2
Release:        lp150.11.1
Summary:        Window Manager with a Taskbar
License:        LGPL-2.1+
Group:          System/GUI/Other
Url:            http://www.icewm.org/
Source0:        https://github.com/bbidulock/%{name}/releases/download/%{version}/%{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE icewm-mate.patch sor.alexei@meowr.ru -- Add MATE Menus support.
Patch0:         icewm-mate.patch
# PATCH-FEATURE-SUSE icewm-susemenu.patch tyang@suse.com -- Add xdg-menu for SLED icewm
Patch1:         icewm-susemenu.patch
# PATCH-FIX-OPENSUSE icewm-desktop-nodisplay.patch qkzhu@suse.com -- Set NoDisplay for icewm.desktop
Patch2:         icewm-desktop-nodisplay.patch
# PATCH-FIX-UPSTREAM icewm-use-iproute2-ss-instead-of-netstat.patch qzheng@suse.com -- Use ss instead of netstat
Patch3:         icewm-use-iproute2-ss-instead-of-netstat.patch
# PATCH-FIX-UPSTREAM icewm-Stop-messing-around-with-power-related-keys-by-default.patch bsc#1076817 qkzhu@suse.com -- Let systemd handle power key pressing
Patch4:         icewm-Stop-messing-around-with-power-related-keys-by-default.patch
Patch99:        icewm-preferences.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig
# Needed for documentation.
BuildRequires:  asciidoc
BuildRequires:  update-alternatives
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(gdk-pixbuf-xlib-2.0)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)
Requires:       alsa-utils
Requires:       desktop-data
Requires:       icewm-bin
Requires:       icewm-configuration-files
Requires:       xdg-menu
Requires(post): update-alternatives
Requires(postun): update-alternatives
# If you have the choice, prefer the big one.
Recommends:     icewm-default
Recommends:     icewm-lang = %{version}
# For locking you need xscreensaver
Recommends:     xscreensaver
Recommends:     xclock
%if !0%{?is_opensuse}
Recommends:     polkit-gnome
%endif
Provides:       icewm-gnome = %{version}
Obsoletes:      icewm-gnome < %{version}
Provides:       windowmanager
%if 0%{?suse_version} > 1315
Requires:       xterm-bin
%else
Requires:       xterm
%endif

%description
A window manager for the X Window System that can emulate the look
of Windows '95, OS/2 Warp 3, OS/2 Warp 4, and Motif and tries to
take the best features from those systems. IceWM features multiple
workspaces, opaque move and resize, a taskbar, a window list,
mailbox status, and a digital clock. It is fast and small.

%package config-upstream
Summary:        Window Manager with a Taskbar -- Default configuration
Group:          System/GUI/Other
Provides:       icewm-configuration-files = %{version}
BuildArch:      noarch

%description config-upstream
A window manager for the X Window System that can emulate the look
of Windows '95, OS/2 Warp 3, OS/2 Warp 4, and Motif and tries to
take the best features from those systems. IceWM features multiple
workspaces, opaque move and resize, a taskbar, a window list,
mailbox status, and a digital clock. It is fast and small.

Configuration files from upstream provider without suse branding

%package default
Summary:        Window Manager with a Taskbar -- Default Version
Group:          System/GUI/Other
Requires:       adwaita-icon-theme
Requires:       icewm
Requires:       update-alternatives
Recommends:     icewm-lang
Provides:       icewm-bin

%description default
A window manager for the X Window System that can emulate the look
of Windows '95, OS/2 Warp 3, OS/2 Warp 4, and Motif and tries to
take the best features from those systems. IceWM features multiple
workspaces, opaque move and resize, a taskbar, a window list,
mailbox status, and a digital clock. It is fast and small.

%package lite
Summary:        Window Manager with a Taskbar -- Lite Version
Group:          System/GUI/Other
Requires:       icewm
Requires:       update-alternatives
Recommends:     icewm-lang
Provides:       icewm-bin

%description lite
A window manager for the X Window System that can emulate the look
of Windows '95, OS/2 Warp 3, OS/2 Warp 4, and Motif and tries to
take the best features from those systems. IceWM features multiple
workspaces, opaque move and resize, a taskbar, a window list,
mailbox status, and a digital clock. It is fast and small.

%lang_package

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
# Do not require needlessly new gettext.
sed -i 's/0.19.6/0.18.3/g' configure.ac

%build
autoreconf -fi
# Build the Lite version
%configure \
  --disable-silent-rules             \
  --with-cfgdir=%{_sysconfdir}/icewm \
  --enable-i18n                      \
  --disable-nls                      \
  --disable-guievents                \
  --disable-winmenu                  \
  --without-icesound                 \
  --enable-lite                      \
  --enable-taskbar                   \
  --disable-menus-fdo                \
  --disable-menus-mate               \
  --disable-fribidi
make %{?_smp_mflags}
# Grab the lite content.
mkdir lite
for file in %{lites}; do
    mv -f src/$file lite/$file-lite
done
make %{?_smp_mflags} clean
# Configure for full deployment.
%configure \
  --docdir=%{_docdir}/%{name}        \
  --disable-silent-rules             \
  --with-cfgdir=%{_sysconfdir}/icewm \
  --with-icesound=alsa               \
  --enable-i18n                      \
  --enable-nls                       \
  --enable-corefonts                 \
  --enable-guievents                 \
  --enable-antialiasing              \
  --enable-gradients                 \
  --enable-shaped-decorations        \
  --enable-menus-fdo                 \
  --enable-i18n
make %{?_smp_mflags}
# Patch generated lib/preferences file.
patch -p1 -i %{PATCH99}
# And use proper branding
%if 0%{?is_opensuse}
wallpaper="openSUSEdefault"
%else
wallpaper="SLEdefault"
%endif
sed -i \
    -e "s:BRANDING_PICTURE:%{_datadir}/wallpapers/$wallpaper/contents/images/1920x1080.jpg:" \
    src/preferences

%install
%make_install

# First just remove GNOME WM setter as we don't have GNOME 2 anyway.
rm -f %{buildroot}%{_bindir}/icewm-set-{gnomewm,matewm}

mkdir -p %{buildroot}%{_sysconfdir}/icewm/
for cfgfile in keys menu preferences toolbar winoptions programs; do
    mv -f %{buildroot}%{_datadir}/icewm/$cfgfile \
      %{buildroot}%{_sysconfdir}/icewm/
done
# move preferences to prefoverride to take preference over themes
mv %{buildroot}/%{_sysconfdir}/icewm/preferences \
   %{buildroot}/%{_sysconfdir}/icewm/prefoverride
%find_lang icewm
ln -sf icewm.html %{buildroot}/%{_docdir}/icewm/index.html

mkdir -p %{buildroot}%{_sysconfdir}/alternatives/
for file in %{lites}; do
    mv -f lite/$file-lite %{buildroot}%{_prefix}/bin
    mv -f %{buildroot}%{_bindir}/$file %{buildroot}%{_bindir}/$file-default

    # Dummy.
    touch %{buildroot}%{_sysconfdir}/alternatives/$file
    ln -s %{_sysconfdir}/alternatives/$file %{buildroot}%{_bindir}/$file
done

%suse_update_desktop_file %{buildroot}%{_datadir}/xsessions/icewm-session.desktop

mv -f %{buildroot}%{_datadir}/xsessions/icewm-session.desktop %{buildroot}%{_datadir}/xsessions/icewm.desktop
ln -s icewm.desktop %{buildroot}%{_datadir}/xsessions/icewm-session.desktop

touch %{buildroot}%{_sysconfdir}/alternatives/default-xsession.desktop
ln -s %{_sysconfdir}/alternatives/default-xsession.desktop %{buildroot}%{_datadir}/xsessions/default.desktop

# Link duplicate theme icons to save some space.
%fdupes %{buildroot}%{_datadir}/icewm/themes/

%post
%{_sbindir}/update-alternatives --install %{_datadir}/xsessions/default.desktop \
  default-xsession.desktop %{_datadir}/xsessions/icewm-session.desktop 15

%postun
[ -f %{_datadir}/xsessions/icewm-session.desktop ] || %{_sbindir}/update-alternatives \
  --remove default-xsession.desktop %{_datadir}/xsessions/icewm-session.desktop

%post lite
%{_sbindir}/update-alternatives \
  --install %{_bindir}/icewm       icewm         %{_bindir}/icewm-lite 0       \
  --slave %{_bindir}/icewmhint     icewmhint     %{_bindir}/icewmhint-lite     \
  --slave %{_bindir}/icewmbg       icewmbg       %{_bindir}/icewmbg-lite       \
  --slave %{_bindir}/icesh         icesh         %{_bindir}/icesh-lite         \
  --slave %{_bindir}/icewm-session icewm-session %{_bindir}/icewm-session-lite

%postun lite
if [ $1 -eq 0 ] ; then
    %{_sbindir}/update-alternatives --remove icewm %{_bindir}/icewm-lite
fi

%post default
%{_sbindir}/update-alternatives \
  --install %{_bindir}/icewm       icewm         %{_bindir}/icewm-default 100     \
  --slave %{_bindir}/icewmhint     icewmhint     %{_bindir}/icewmhint-default     \
  --slave %{_bindir}/icewmbg       icewmbg       %{_bindir}/icewmbg-default       \
  --slave %{_bindir}/icesh         icesh         %{_bindir}/icesh-default         \
  --slave %{_bindir}/icewm-session icewm-session %{_bindir}/icewm-session-default

%postun default
if [ $1 -eq 0 ] ; then
    %{_sbindir}/update-alternatives --remove icewm %{_bindir}/icewm-default
fi

%files
%doc %{_docdir}/icewm
%ghost %{_sysconfdir}/alternatives/default-xsession.desktop
%{_datadir}/icewm/
%{_datadir}/xsessions/icewm-session.desktop
%{_datadir}/xsessions/icewm.desktop
%{_datadir}/xsessions/default.desktop
%{_mandir}/man1/icewm.1%{?ext_man}

%files config-upstream
%dir %{_sysconfdir}/icewm/
%config %{_sysconfdir}/icewm/*

%files lang -f icewm.lang

%files default
%ghost %{_sysconfdir}/alternatives/icewm
%ghost %{_sysconfdir}/alternatives/icewmhint
%ghost %{_sysconfdir}/alternatives/icewmbg
%ghost %{_sysconfdir}/alternatives/icesh
%ghost %{_sysconfdir}/alternatives/icewm-session
%{_bindir}/icewm-default
%{_bindir}/icewmhint-default
%{_bindir}/icewmbg-default
%{_bindir}/icehelp
%{_bindir}/icesh-default
%{_bindir}/icewmtray
%{_bindir}/icewm-session-default
%{_bindir}/icesound
%{_bindir}/icewm
%{_bindir}/icewmhint
%{_bindir}/icewmbg
%{_bindir}/icesh
%{_bindir}/icewm-session
%{_bindir}/icewm-menu-fdo
%{_datadir}/applications/icewm.desktop

%files lite
%ghost %{_sysconfdir}/alternatives/icewm
%ghost %{_sysconfdir}/alternatives/icewmhint
%ghost %{_sysconfdir}/alternatives/icewmbg
%ghost %{_sysconfdir}/alternatives/icesh
%ghost %{_sysconfdir}/alternatives/icewm-session
%{_bindir}/icewm-lite
%{_bindir}/icewmhint-lite
%{_bindir}/icewmbg-lite
%{_bindir}/icesh-lite
%{_bindir}/icewm-session-lite
%{_bindir}/icewm
%{_bindir}/icewmhint
%{_bindir}/icewmbg
%{_bindir}/icesh
%{_bindir}/icewm-session

%changelog
* Wed May 29 2019 Chingkai <qkzhu@suse.com>
- Add icewm-Stop-messing-around-with-power-related-keys-by-default.patch:
  Icewm will suspend the system twice through concurrency with other
  listeners like systemd for the suspend key events, this patch
  disable icewm's suspend function key and let systemd manage power
  key events ( gh#bbidulock/icewm/commit/0cb93e9, bsc#1076817 ).
* Fri Sep  7 2018 qzheng@suse.com
- Delete icewm.desktop and rename icewm-session.desktop to
  icewm.desktop to fix the upgrade issue ( bsc#1096917 ).
* Tue Feb 27 2018 qzheng@suse.com
- Add icewm-use-iproute2-ss-instead-of-netstat.patch:
  Because netstat is not available by default, so call "ss" instead
  of "netstat", and make the Clock command work on icewm
  ( bsc#1079627  ).
* Wed Jan 17 2018 qzheng@suse.com
- Change the recommend xlockmore to xscreensaver( bsc#1074932 ).
* Thu Dec 21 2017 qkzhu@suse.com
- Drop our distribution's icewm.desktop and use the one provided by
  IceWM upstream
- Add patch icewm-desktop-nodisplay.patch
  Set NoDisplay for upstream's icewm.desktop since it only starts the
  window manager, icewm-session.desktop (the preferred program to
  start the IceWM system) will be displayed in display manager
  (bsc#1072557)
* Fri Dec 15 2017 yfjiang@suse.com
- Make polkit-gnome is recommended in SLE, since SLES requires an
  authentication dialog when being rebooted and shutted-down from
  GUI (bsc#1067788 bsc#1072428)
* Tue Oct 10 2017 tchvatal@suse.com
- Bring back full icewm-preferences.patch from 1.3 series to actually
  work
* Tue Oct 10 2017 tchvatal@suse.com
- Use prefoverride instead of preferences in the sysconfig to make
  sure take priority over theme
- Move programs config option to /etc from /usr/share
* Thu Oct  5 2017 stefan.bruens@rwth-aachen.de
- Partially revert icewm-preferences.patch to previous revision, otherwise
  the icewm default desktop background is used instead of the openSUSE/SLE
  specific one, breaking openQA all over the place
* Sun Sep 24 2017 aavindraa@gmail.com
- Update to 1.4.2
- Rebase patches
  - icewm-susemenu.patch: rebase "suseprog" function
  - icewm-preferences.patch: rebase, only IconPath hunk not in upstream now
  - icewm-mate.patch: rebase several hunks in which context changed
- Drop patches that were accepted upstream
  - icewm-session-desktop.patch
  - icewm-exit-fork.patch
  - icewm-mail.patch
- Swap "sgmltool" for "asciidoc"
* Tue May 23 2017 tchvatal@suse.com
- Fix the updates-alternatives code
* Wed May 17 2017 fvogt@suse.com
- Use update-alternatives to create default.desktop xsession (boo#1030873)
* Wed Feb 22 2017 okurz@suse.com
- Ensure a valid mailbox check tool (bsc#1026134)
  * icewm-mail.patch
  * https://github.com/bbidulock/icewm/pull/108
* Thu Aug 25 2016 fvogt@suse.com
- Add patch icewm-exit-fork.patch to avoid deadlock (bsc#977233)
* Wed Aug 24 2016 tyang@suse.com
- Modify: icewm-preferences.patch
  bnc#977233 modify the command to correct one.
* Thu Jun  2 2016 tchvatal@suse.com
- Use just xlockmore wrt fate#320737
  * icewm-preferences.patch
* Mon Mar 14 2016 tchvatal@suse.com
- Disable image centering, with scaling now working it keeps aspect
  ration with centering enabled:
  * icewm-preferences.patch
* Tue Mar  8 2016 tchvatal@suse.com
- Update prefferences patch to point to correct wallpaper on the disk
  based on openSUSE/SLE branding package
* Tue Mar  8 2016 tchvatal@suse.com
- Add back icewm menu as it is used by us
  * icewm-susemenu.patch
- Add patch to fix icewm session desktop files
  * icewm-session-desktop.patch
* Thu Feb 18 2016 alarrosa@suse.com
- Small fix to continue requiring xterm in distributions that don't
  have xterm-bin (Leap 42.1 and older)
* Wed Feb 17 2016 dimstar@opensuse.org
- Require xterm-bin instead of xterm: only the binary is required.
* Thu Jan 14 2016 petr@cervinka.net
- Version bump to 1.3.12:
  * various bugfixes collected from all upstream vendors
  * added new translations
- Removed upstreamed patches:
  * icewm-toolbar-icons-generic.patch
  * icewm-fix-local-search.patch
* Mon Oct 26 2015 tchvatal@suse.com
- Split out configuration files to allow icewm-theme-branding to
  work
* Mon Oct 26 2015 tchvatal@suse.com
- Simplify reboot/shutdown commands:
  * icewm-preferences.patch
* Mon Oct 26 2015 tchvatal@suse.com
- Enable fribidi support on main package RTL is quite used
* Mon Oct 26 2015 tchvatal@suse.com
- Kill back the mate subpkg as it does not really pose any benefit
  for us. But keep the patch as it should be merged upstream
* Mon Oct 26 2015 tchvatal@suse.com
- Cleanup a bit the update-alternatives syntax
* Sun Oct 25 2015 sor.alexei@meowr.ru
- Add icewm-fix-local-search.patch: make icewm-menu-fdo not to
  search through whole ~/.local/share/ as it can be unexpectedly big.
- Add icewm-toolbar-icons-generic.patch: don't specify paths in
  toolbar icons.
- Require adwaita-icon-theme instead of gnome-icon-theme.
- Append icon search paths to icewm-preferences.patch including
  Adwaita theme.
- Add basic MATE support via icewm-mate.patch and icewm-mate
  subpackage.
- Fix build under openSUSE 13.1.
* Sun Oct 25 2015 tchvatal@suse.com
- Deprecate the gnome subpackage as after investigation we figured
  we can simply use icewm-menu-fdo to generate the taskbar menu
  without any need for gnome2 ties.
- Drop binary icewm-set-gnomewm as the gnome2 is not supported anyway
  and thus gconf settings of its defaults are bit pointless
* Sun Oct 25 2015 tchvatal@suse.com
- Move icesound to default package as alsa is in by default
* Sat Oct 24 2015 tchvatal@suse.com
- Add requires on xterm+alsa-utils that are used in default calls
  of icewm
- For icewm-default add requires on gnome-icon-theme as otherwise
  we would not see icons for most of the things
* Sat Oct 24 2015 tchvatal@suse.com
- Set up icesound to base on alsa only, as OSS and ESD are quite
  not useful nowdays
* Fri Oct 23 2015 zaitor@opensuse.org
- Drop gnome-desktop-devel BuildRequires: That symbol is provided
  by libgnome-desktop-3-devel now, and is not what configure needs,
  nor is looking for. The compat package libgnome-desktop-2-devel
  is the correct one for icewm-gnome, and is already present via
  pkgconfig(gnome-desktop-2.0) BuildRequires.
- Also drop libgnomeui-devel as pkgconfig(libgnomeui-2.0) takes
  care of that.
- Move pkgconfig(gdk-pixbuf-xlib-2.0) BuildRequires: to the with
  gnome section.
* Fri Oct 16 2015 tchvatal@suse.com
- Add back bcond_with gnome conditional as it is redefined on low
  rings
* Fri Oct  9 2015 tchvatal@suse.com
- Sed in lower requirement on gettext to work on Leap and 13.2
* Fri Oct  9 2015 tchvatal@suse.com
- Split lang pkg and properly recommend it
- Install icewm-menu-fdo and manpage
- Properly set docdir
- Add sgmltool to generate html help pages
- Use %%configure macros properly
- Cleanup with spec-cleaner
- Drop bcond for gnome as it is enabled everywhere anyway
- Drop patches that should not be needed after discussion with mmarek:
  * icewm-menu.patch
  * icewm-susemenu.patch
- Peferences file is now in src not in lib so update patch,
  also use systemd to call shutdown and reboot which should be bit more safe
  today:
  * icewm-preferences.patch
* Fri Oct  9 2015 tchvatal@suse.com
- Version bump to 1.3.11:
  * various bugfixes collected from all upstream vendors
- Remove upstreamed patches:
  * icewm-1.2.35-empty-winmenu.patch
  * icewm-1.2.35-override-config.patch
  * icewm-1.2.35-unaligned-access.patch
  * icewm-1.3.6-winoptions.patch
  * icewm-1.3.8-enable-guievents.patch
  * icewm-1.3.8-shutdown-reboot-command.patch
  * icewm-1.3.8.tar.gz
  * icewm-bg-default-at-error.patch
  * icewm-docdir.patch
  * icewm-fix-themes.patch
  * icewm-linking.patch
  * icewm-multiByte.patch
- Refresh patch:
  * icewm-menu.patch
* Mon Jan 12 2015 tyang@suse.com
- Fix the bnc#905159:shutdown and reboot commands not working.
  Change the shutdown and reboot command in preference.
  Add patch: icewm-1.3.8-shutdown-reboot-command.patch
  and updated from upstream:https://github.com/bbidulock/icewm.
* Tue Sep 30 2014 crrodriguez@opensuse.org
- Do not use xorg-x11-devel, select only those packages needed
  for build.
- Build c++ code with fvisibility-inlines-hidden to avoid
  bloating the symbol table.
* Mon Sep 22 2014 fcrozat@suse.com
- Update icewm-preferences.patch with new location of SUSE
  background file.
- Ensure icewm-theme-branding is recommended.
* Tue May 27 2014 tyang@suse.com
- add icewm-1.3.8-shutdown-reboot-command.patch:
  fix the upstream bug of invalid shutdown/reboot command
  change the shutdown/reboot command in preference (bnc#872988)
* Thu Apr 10 2014 tiwai@suse.de
- icewm-bg-default-at-error.patch:
  properly default to the solid color background when the given
  default background pixmap can't be loaded (bnc#872740)
* Mon Mar  3 2014 msrb@suse.com
- icewm-fix-themes.patch
  * Workaround for bnc#856931.
* Wed Jan 22 2014 tyang@suse.com
- update version to 1.3.8
- remove patches:icewm-gcc47.patch,icewm-x11.patch
- add two new patches:icewm-1.3.8-enable-guievents.patch,icewm-susemenu.patch
  for new fate #313170
* Wed Jan  8 2014 coolo@suse.com
- merge icewm-lite into icewm.spec using update-alternatives
* Thu Mar 28 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Tue May 22 2012 idonmez@suse.com
- Fix build with gcc 4.7
- Fix build with new X11 headers
* Tue Dec 20 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Mon Aug 29 2011 crrodriguez@opensuse.org
- Must link with -lfontconfig too, fix build.
* Tue Apr 26 2011 mmarek@novell.com
- Change the command to apply icewm-preferences.patch to make
  automatic checks happy.
* Mon Mar 21 2011 mmarek@novell.com
- Fix shutdown and reboot (bnc#681126).
* Mon Mar 21 2011 mmarek@novell.com
- Update to 1.3.7:
  * battery status as graphics not text (Alexander Drozdov)
  * 'icewm-set-gnomewm' script to set GNOME window manager to icewm
  * bugfixes
* Wed Sep  8 2010 vuntz@opensuse.org
- Change old-style BuildRequires to pkgconfig() style
  BuildRequires:
  + old-style: gnome-desktop-devel, libgnomeui-devel.
  + new-style: gdk-pixbuf-xlib-2.0, gnome-desktop-2.0,
    libgnomeui-2.0.
- This will make it easier to switch to GNOME 3 libraries.
* Tue Jan 26 2010 mmarek@suse.cz
- fix applying of custom window options.
* Tue Jan 26 2010 mmarek@suse.cz
- update to 1.3.6
  * XRANDR support
  * uses gdk-pixbuf instead of imlib
* Mon Sep  7 2009 mmarek@suse.cz
- icewm-1.2.38pre1-bad-delete.patch: fix for bnc#525804
* Wed Apr 29 2009 mmarek@suse.cz
- updated to 1.2.38pre1
  * bugfixes
* Sun Feb 22 2009 vuntz@novell.com
- Add icewm-1.2.36-gnome-compilation.patch to fix build. The patch
  should probably be sent upstream.
- Add libgnomeui-devel BuildRequires for the patch.
* Fri Oct 24 2008 mmarek@suse.de
- updated to 1.2.36 final
  * add option TaskBarFullscreenAutoShow (default = 1)
  * fixes --with-line build
* Mon Sep 29 2008 mmarek@suse.cz
- fixed unaligned access in XChangeProperly()
* Thu Sep 11 2008 mmarek@suse.cz
- updated to 1.2.36pre2
  * add support for sysfs interface (instead of proc) for battery
    status (initial code by Santiago Garcia Mantinan)
  * bugfixes & translation updates
* Fri Jul 18 2008 mmarek@suse.cz
- also fix session locking (use xscreensaver or xlock) (bnc#406156)
* Fri Jul 18 2008 mmarek@suse.cz
- make shutdown and reboot work out of the box (bnc#406156)
* Fri Mar  7 2008 mmarek@suse.cz
- don't popup empty window menu
* Fri Feb 29 2008 mmarek@suse.cz
- fixed centering of dialogs (bnc#359529)
* Tue Jan 29 2008 mmarek@suse.cz
- make icewm --config=file work
  (override-config.patch)
* Mon Jan 28 2008 mmarek@suse.cz
- updated to 1.2.35
  * Application tray bug fixes
  * Add encoding/language to about dialog
  * fix gmplayer switching to fullscreen
  * popup dialog focus fixes
  * fix screen change with xrandr 1.2
  * build fixes (Bert Wesarg)
  * fix FocusOnRaise
  * tray fixes
  * fix taskbar popup in fullscreen mode
- don't install genpref (only needed at build time)
- fixed build for older distributions in X11:windowmanagers
- use %%%%suse_update_desktop_file
* Mon Aug 13 2007 mmarek@suse.cz
- updated to 1.2.32 [#299583]
  * auto-hide like taskbar activation in full screen mode added
  * missing ShowSettingsMenu and ShowFocusModeMenu
    settings (Evgenii Terechkov)
  * binding to raise window with mouse
    (MouseWinRaise=Ctrl+Alt+Mouse1)  (Thomas Holder)
  * translation updates (cs, ru, zh_CN, zh_TW)
  * bugfixes
- link duplicate theme icons
* Sat Mar  3 2007 aj@suse.de
- /usr/share/xsessions/ is part of filesystems now.
* Wed Jan 24 2007 mmarek@suse.cz
- fixed strict aliasing warning
* Fri Jan 12 2007 mmarek@suse.cz
- fix last change (Start -> Help didn't work)
  (icewm-docdir.patch)
* Thu Jan 11 2007 mmarek@suse.cz
- updated to 1.2.30
  + battery status cleanups
  + new option BatteryPollingPeriod (default 10 seconds)
  + moved Themes selection to Settings menu
  + added Settings -> Focus menu (config saved to
    ~/.icewm/focus_mode as FocusMode=1,2 or 0)
  + new setting MapInactiveOnTop (default 1)
  + new setting RequestFocusOnAppRaise (when FocusOnAppRaise=0)
  + altgr_binding_support by Jörg Sommer
  + Apple PMU support by Jörg Sommer
  + start menu pixmap now named: taskbar/start.xpm
  + try to mouse focus only when mouse actually moves to another
    window
  + prevent focusing taskbar with mouse focus
  + use locale strings in 'icewm-menu-gnome2'
  + also search for .png icons when only basename is specified
    (Manuel Carrasco)
  + change mouse cursor when dragging the taskbar (Manuel Carrasco)
  + icewmtray: catch HUP signal to reload theme and other fixes
    (Manuel Carrasco)
  + new preferences option: WinMenuItems (default=rmsnxfhualyticw)
    (Manuel Carrasco/Marko Macek)
  + added 'Look=flat' (oscarello)
  + added TaskbarButtonWidthDivisor (lysanderslair)
  + bugfixes and translation updates
- spec file cleanup
  + reduced buildrequires
  + icewm-gnome is only an add-on to icewm-default, one spec file
    less
  + use /usr/share/doc/packages/icewm (not icewm-%%%%version)
  + fixed default wallpaper location
* Tue May 16 2006 pnemec@suse.cz
- updated to 1.2.26
  many minor fix
  some translation fix
  strict-aliasing patch  is in upstream now
* Tue Feb 14 2006 mmarek@suse.cz
- fixed strict-aliasing patch once more
  [#150786]
- use make -j
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 tiwai@suse.de
- fixed strict-aliasing patch (#143861)
* Mon Jan  2 2006 pnemec@suse.cz
- fixed wrong name of Norwegian messages
- removed X11R6 prefix
* Wed Dec 21 2005 ro@suse.de
- added locale dirs to filelist
* Mon Nov 28 2005 pnemec@suse.cz
- fixed strict aliasing errors ( -strict-aliasing.patch)
* Mon Nov 14 2005 pnemec@suse.cz
- updated to 1.2.23
* Fri Aug 12 2005 ltinkl@suse.cz
- fix icewm.desktop problems (#94917 and #100494)
* Tue Jul 26 2005 ltinkl@suse.cz
- update to 1.2.22
* Wed Jun 29 2005 ltinkl@suse.cz
- update to 1.2.21
- adjust patches
* Mon May 23 2005 ltinkl@suse.cz
- update to 1.2.20
* Wed Feb 23 2005 meissner@suse.de
- fixed 0->NULL in Xft call.
* Thu Jan  6 2005 ltinkl@suse.cz
- update to 1.2.19
- fix missing docu (#47112)
* Tue Nov  2 2004 ltinkl@suse.cz
- updated to 1.2.16
* Thu Aug 12 2004 ltinkl@suse.cz
- update to 1.2.15
* Fri Mar 12 2004 ltinkl@suse.cz
- make the XDG menu work
- use the default SUSE wallpaper
* Fri Feb  6 2004 ltinkl@suse.cz
- support for xdg menu
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Wed Oct 15 2003 ltinkl@suse.cz
- updated to 1.2.13
* Fri Jul 11 2003 nadvornik@suse.cz
- updated to 1.2.9
- built with gnome2
* Fri Jun 13 2003 kukuk@suse.de
- use find_lang macro
* Thu May 29 2003 nadvornik@suse.cz
- installed genpref
* Mon May  5 2003 mfabian@suse.de
- remove "fontconfig fontconfig-devel" from neededforbuild and
  use x-devel-packages instead of xf86
- use "-*-" instead of "-xftdummy-" as the foundry for the
  default fonts when using Xft because the latest fontconfig
  now actually uses the foundry and inserting an dummy value
  doesn't work anymore.
* Fri Apr 25 2003 lmfabian@suse.de
- update to 1.2.7
- add "fontconfig fontconfig-devel" to neededforbuild
- icewm-always-use-xft.patch: if we have Xft2, don't disable Xft
  when no RENDER is found.
- remove icewm-menu-translations.tar.bz2: the language specific
  "preferences" files did only set different fontsets, which is
  not necessary anymore when Xft2 is used with generic aliases
  like "sans" and "monospace" as the default settings. The same
  default font settings should work for all languages.
  The other files in icewm-menu-translations.tar.bz2 didn't
  contain any important language specific differences either.
- fix icewm-LANG.menu.patch: look for the most specific extensions
  first: e.g. first try "menu.ja_JP.UTF-8", then try "menu.ja_JP",
  finally try "menu.ja". The current patch did it in the opposite
  order, making it impossible to have different files for
  ja_JP.eucJP and ja_JP.UTF-8.
* Mon Mar 10 2003 nadvornik@suse.cz
- added Requires: icewm to icewm-gnome [#24936]
* Mon Feb 17 2003 nadvornik@suse.cz
- use g++ for compilation and linking
* Fri Feb 14 2003 nadvornik@suse.cz
- updated to 1.2.6
* Thu Nov 28 2002 nadvornik@suse.cz
- fixed to compile with new gcc
* Tue Oct 22 2002 nadvornik@suse.cz
- set multiByte to true by default [#20656]
* Fri Sep 27 2002 ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Fri Jul 26 2002 nadvornik@suse.cz
- updated to 1.2.0
* Wed Jun 26 2002 nadvornik@suse.cz
- updated to 1.2.0pre3: many bugs fixed
* Tue May 28 2002 meissner@suse.de
- link with $(CXX), not with gcc, or it will miss C++ symbols.
* Mon Apr 22 2002 nadvornik@suse.cz
- fixed to compile
* Tue Apr  2 2002 nadvornik@suse.cz
- used suse_update_config
* Wed Mar 13 2002 nadvornik@suse.cz
- added dir /etc/X11/icewm to filelist
* Tue Mar 12 2002 nadvornik@suse.cz
- fixed Super key handling [bug #14734]
* Sun Feb 10 2002 ro@suse.de
- tar option for bz2 is now "j"
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Oct 23 2001 nadvornik@suse.cz
- update to 1.0.9
  - icon tray
  - mouse wheel support for menus
  - additional key bindings
  - improved edge switching
  - many bugfixes
* Mon Oct 15 2001 nadvornik@suse.cz
- fixed path to help files [bug #11793]
* Mon Aug 13 2001 nadvornik@suse.cz
- compiled with g++ (now compiles on axp)
* Fri Aug 10 2001 nadvornik@suse.cz
- update to 1.0.8
- created packages icewm-gnome, icewm-default,
  icewm-lite [bug #5692]
* Mon May  7 2001 mfabian@suse.de
- bzip2 sources
* Wed Mar 21 2001 ro@suse.de
- added esound-devel to neededforbuild
* Tue Feb 20 2001 uli@suse.de
- fixed for new glibc
* Fri Jan 26 2001 mfabian@suse.de
- fixed broken German and Russian translations
  they were broken because they had been saved in iso-2022.
- added Japanese and German translations for the menus.
* Fri Jan 26 2001 violiet@suse.de
- added patch to enable NLS (Native Language Support).
  This patch adds --enable-nls to configure, adds bindtextdomain()
  and textdomain() calls, replaces regular strings with strings
  translatable by gettext and adds po files for de, ja, ko, ru,
  and zh_TW.Big5.
- added patch to load translated menus from files with a locale
  suffix, e.g. menu.ko, menu.ja ...
- added Korean translations for menus
* Tue Nov 28 2000 grimmer@suse.de
- removed icewm-themes-0.9.42.tar.gz from package
- moved system-wide configuration files to /etc/X11/icewm
  for better FHS compliance
- removed symlink needed for the old susewm
* Wed Nov  1 2000 egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Wed Jun 28 2000 grimmer@suse.de
- Update to 1.0.4
* Tue Jun  6 2000 uli@suse.de
- moved docs to %%{_docdir}
* Mon Mar 27 2000 grimmer@suse.de
- update to 1.0.3
* Thu Mar 16 2000 grimmer@suse.de
- update to 1.0.2
- added BuildRoot
* Wed Jan 26 2000 grimmer@suse.de
- new version (1.0.1)
- specfile cleanups (version-macro, added more docu)
- activated imlib- and i18n-support
* Mon Jan  3 2000 grimmer@suse.de
- new version (1.0.0)
* Wed Dec 22 1999 grimmer@suse.de
- new version (0.9.55)
- specfile cleanups
* Tue Dec  7 1999 grimmer@suse.de
- new version (0.9.53) - bugfixes, new features
* Wed Nov 17 1999 grimmer@suse.de
- new version (0.9.50)
- added GNOME-support
* Sun Oct 10 1999 grimmer@suse.de
- new version (0.9.49) - bugfixes, new features
* Mon Sep 20 1999 ro@suse.de
- added Provides windowmanager
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 grimmer@suse.de
- new version (0.9.48) - bugfixes, new features
* Wed Aug 18 1999 bs@suse.de
- added Check.
* Wed Aug 18 1999 grimmer@suse.de
- new version (0.9.46) - bugfixes
* Wed Jun 16 1999 grimmer@suse.de
- new version (0.9.42) - bugfixes
- added themes package for enhanced pleasure
* Fri May 28 1999 grimmer@suse.de
- new version (0.9.41) - bugfixes
- minor specfile-updates (now uses configure instead of config)
- removed patch, since configure now handles the path names
- added genpref binary to RPM (generates sample config file)
* Tue Apr 13 1999 grimmer@suse.de
- new version (0.9.37) - bugfixes, new features
* Tue Mar 16 1999 grimmer@suse.de
- created symlink to menu (needed for susewm)
* Thu Feb 18 1999 grimmer@suse.de
- new version (0.9.33) - bugfixes
* Wed Jan 27 1999 grimmer@suse.de
- new version (0.9.30) - bugfixes, new features
* Sun Nov 15 1998 grimmer@suse.de
- new version (0.9.17) - bugfixes
- added HTML documentation
- specfile fixes
* Fri Jul  3 1998 maddin@suse.de
- first S.u.S.E. Version 0.9.8
